# ChangeLog for sys-devel/binutils
# Copyright 1999-2006 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/sys-devel/binutils/ChangeLog,v 1.243 2006/04/11 15:57:53 flameeyes Exp $

  11 Apr 2006; Diego Pettenò <flameeyes@gentoo.org>
  binutils-2.16.1-r2.ebuild:
  Add ~x86-fbsd keyword.

  30 Mar 2006; Diego Pettenò <flameeyes@gentoo.org> binutils-2.15.ebuild:
  Add ~x86-fbsd keyword to binutils 2.15 that has FreeBSD patches.

*binutils-2.16.91.0.7 (18 Mar 2006)

  18 Mar 2006; Mike Frysinger <vapier@gentoo.org>
  +binutils-2.16.91.0.7.ebuild:
  Version bump.

*binutils-2.16.1-r2 (02 Mar 2006)

  02 Mar 2006; Mike Frysinger <vapier@gentoo.org>
  +binutils-2.16.1-r2.ebuild:
  Grab some fixes from upstream for PIE, lib search paths, and ld speedups.

*binutils-2.16.91.0.6 (15 Feb 2006)

  15 Feb 2006; Mike Frysinger <vapier@gentoo.org>
  +binutils-2.16.91.0.6.ebuild:
  Version bump.

*binutils-2.16.91.0.5 (21 Dec 2005)

  21 Dec 2005; Mike Frysinger <vapier@gentoo.org>
  +binutils-2.16.91.0.5.ebuild:
  Version bump.

  07 Dec 2005; Guy Martin <gmsoft@gentoo.org> binutils-2.16.1.ebuild:
  Stable on hppa.

*binutils-2.16.1-r1 (03 Dec 2005)

  03 Dec 2005; Mike Frysinger <vapier@gentoo.org>
  +binutils-2.16.1-r1.ebuild:
  Add support for -Bdirect #114008.

  23 Nov 2005; Luis Medinas <metalgod@gentoo.org> binutils-2.16.1.ebuild:
  Stable on amd64.

  23 Nov 2005; Gustavo Zacarias <gustavoz@gentoo.org>
  binutils-2.16.1.ebuild:
  Stable on sparc

  23 Nov 2005; Mark Loeser <halcy0n@gentoo.org> binutils-2.16.1.ebuild:
  Stable on x86; bug #112666

  18 Nov 2005; Joshua Kinard <kumba@gentoo.org> binutils-2.16.90.0.3.ebuild,
  binutils-2.16.91.0.2.ebuild:
  -mips to binutils-2.16.90.0.3, as it has unfixable quirks; ~mips to
  binutils-2.16.91.0.2 for testing.

*binutils-2.16.91.0.4 (13 Nov 2005)

  13 Nov 2005; Mike Frysinger <vapier@gentoo.org>
  +binutils-2.16.91.0.4.ebuild:
  Version bump.

  18 Oct 2005; Joseph Jezak <josejx@gentoo.org> binutils-2.16.1.ebuild:
  Marked ppc stable.

  06 Sep 2005; Markus Rothe <corsair@gentoo.org> binutils-2.16.1.ebuild:
  Stable on ppc64

  28 Aug 2005; Joshua Kinard <kumba@gentoo.org> binutils-2.16.1.ebuild,
  binutils-2.16.90.0.3.ebuild:
  Bump 2.16.1 to stable on mips, and 2.16.90.0.3 to unstable.

*binutils-2.16.91.0.3 (23 Aug 2005)

  23 Aug 2005; Mike Frysinger <vapier@gentoo.org>
  +binutils-2.16.91.0.3.ebuild:
  Version bump.

*binutils-2.16.91.0.2 (02 Aug 2005)

  02 Aug 2005; Mike Frysinger <vapier@gentoo.org>
  +binutils-2.16.91.0.2.ebuild:
  Version bump.

  13 Jul 2005; MATSUU Takuto <matsuu@gentoo.org>
  binutils-2.15.92.0.2-r10.ebuild:
  Stable on sh.

  13 Jul 2005; bret curtis <psi29a@gentoo.org> binutils-2.16.1.ebuild,
  binutils-2.16-r1.ebuild:
  added to ~mips

  12 Jul 2005; MATSUU Takuto <matsuu@gentoo.org>
  binutils-2.15.92.0.2-r10.ebuild:
  Added ~sh to KEYWORDS.

  07 Jul 2005; Hardave Riar <hardave@gentoo.org>
  binutils-2.15.92.0.2-r10.ebuild:
  Stable on mips.

  28 Jun 2005; Markus Rothe <corsair@gentoo.org> binutils-2.16-r1.ebuild:
  Back to ~ppc64; ld problem with current stable glibc :-/

  28 Jun 2005; Markus Rothe <corsair@gentoo.org> binutils-2.16-r1.ebuild:
  Stable on ppc64

*binutils-2.16.91.0.1 (28 Jun 2005)

  28 Jun 2005; Mike Frysinger <vapier@gentoo.org>
  +binutils-2.16.91.0.1.ebuild:
  Version bump.

*binutils-2.16.1 (12 Jun 2005)

  12 Jun 2005; Mike Frysinger <vapier@gentoo.org> +binutils-2.16.1.ebuild:
  Version bump.

  31 May 2005; Gustavo Zacarias <gustavoz@gentoo.org>
  binutils-2.15.92.0.2-r10.ebuild:
  Stable on sparc wrt #91398

  31 May 2005; Markus Rothe <corsair@gentoo.org> binutils-2.16.ebuild,
  binutils-2.16-r1.ebuild:
  Added ~ppc64 to KEYWORDS

  29 May 2005; Bryan Østergaard <kloeri@gentoo.org>
  binutils-2.14.90.0.8-r3.ebuild:
  Stable on ia64, bug 91398.

  29 May 2005; Bryan Østergaard <kloeri@gentoo.org>
  binutils-2.14.90.0.8-r3.ebuild:
  Stable on alpha, bug 91398.

  28 May 2005; Rene Nussbaumer <killerfox@gentoo.org>
  binutils-2.15.92.0.2-r10.ebuild:
  Stable on hppa; bug #91398

  28 May 2005; Markus Rothe <corsair@gentoo.org>
  binutils-2.15.90.0.3-r5.ebuild:
  Stable on ppc64

  28 May 2005; <dang@gentoo.org> binutils-2.15.92.0.2-r10.ebuild:
  Mark amd64 stable per bug #91398

  28 May 2005; Luca Barbato <lu_zero@gentoo.org>
  binutils-2.15.90.0.3-r5.ebuild:
  Marked ppc

*binutils-2.16-r1 (28 May 2005)
*binutils-2.15.92.0.2-r10 (28 May 2005)
*binutils-2.15.91.0.2-r2 (28 May 2005)
*binutils-2.15.90.0.3-r5 (28 May 2005)
*binutils-2.15.90.0.1.1-r5 (28 May 2005)
*binutils-2.14.90.0.8-r3 (28 May 2005)

  28 May 2005; Mike Frysinger <vapier@gentoo.org>
  +binutils-2.14.90.0.8-r3.ebuild, binutils-2.15.ebuild,
  +binutils-2.15.90.0.1.1-r5.ebuild, +binutils-2.15.90.0.3-r5.ebuild,
  +binutils-2.15.91.0.2-r2.ebuild, +binutils-2.15.92.0.2-r10.ebuild,
  +binutils-2.16-r1.ebuild, binutils-2.16.90.0.3.ebuild:
  Add some more bfd checks and fix tls stripping.

*binutils-2.15.92.0.2-r9 (17 May 2005)

  17 May 2005; Mike Frysinger <vapier@gentoo.org>
  +binutils-2.15.92.0.2-r9.ebuild:
  Add patches to fix security issues #91398.

*binutils-2.16.90.0.3 (11 May 2005)

  11 May 2005; Mike Frysinger <vapier@gentoo.org>
  +binutils-2.16.90.0.3.ebuild:
  Version bump.

  10 May 2005; Lars Weiler <pylon@gentoo.org>
  binutils-2.15.92.0.2-r1.ebuild, binutils-2.15.92.0.2-r7.ebuild,
  binutils-2.15.92.0.2-r8.ebuild:
  Downgrading and masking on ppc due to compile errors; bug #91887.

  07 May 2005; Michael Hanselmann <hansmi@gentoo.org>
  binutils-2.15.92.0.2-r8.ebuild:
  Stable on hppa.

  07 May 2005; Jan Brinkmann <luckyduck@gentoo.org>
  binutils-2.15.92.0.2-r8.ebuild:
  stable on amd64 wrt security bug #91813

  07 May 2005; Michael Hanselmann <hansmi@gentoo.org>
  binutils-2.15.92.0.2-r8.ebuild:
  Stable on ppc.

*binutils-2.16 (04 May 2005)

  04 May 2005; Mike Frysinger <vapier@gentoo.org> +binutils-2.16.ebuild:
  Version bump.

*binutils-2.16.90.0.2 (30 Apr 2005)

  30 Apr 2005; Mike Frysinger <vapier@gentoo.org>
  +binutils-2.16.90.0.2.ebuild:
  Version bump.

*binutils-2.15.97 (21 Apr 2005)

  21 Apr 2005; Mike Frysinger <vapier@gentoo.org> +binutils-2.15.97.ebuild:
  Version bump.

*binutils-2.14 (17 Apr 2005)

  17 Apr 2005; Mike Frysinger <vapier@gentoo.org> +binutils-2.14.ebuild:
  Add older version for ps2 support.

*binutils-2.16.90.0.1 (12 Apr 2005)

  12 Apr 2005; Mike Frysinger <vapier@gentoo.org>
  +binutils-2.16.90.0.1.ebuild:
  Version bump.

  11 Apr 2005; Markus Rothe <corsair@gentoo.org>
  -binutils-2.15.91.0.1-r1.ebuild:
  removed for bug #88678

  09 Apr 2005; Markus Rothe <corsair@gentoo.org>
  binutils-2.15.92.0.2-r8.ebuild, binutils-2.15.94.0.2.2.ebuild:
  Added ~ppc64 to KEYWORDS

*binutils-2.15.92.0.2-r8 (06 Apr 2005)

  06 Apr 2005; Mike Frysinger <vapier@gentoo.org>
  +binutils-2.15.92.0.2-r8.ebuild:
  Add ld speedup / readelf buffer fix patches from redhat and a better
  unlink() patch from solar/upstream.

  30 Mar 2005; Joshua Kinard <kumba@gentoo.org>
  binutils-2.14.90.0.8-r2.ebuild, binutils-2.15.91.0.2-r1.ebuild,
  binutils-2.15.94.0.2.2.ebuild:
  Marked 2.14.90.0.8-r2 and 2.15.91.0.2-r1 as stable on mips, and moved
  2.15.94.0.2.2 to unstable.

*binutils-2.15.92.0.2-r7 (22 Mar 2005)

  22 Mar 2005; Mike Frysinger <vapier@gentoo.org>
  +binutils-2.15.92.0.2-r7.ebuild:
  Add a TEXTREL fix for arm and warn about TEXTRELs in ld.

*binutils-2.15.92.0.2-r6 (11 Mar 2005)

  11 Mar 2005; Mike Frysinger <vapier@gentoo.org>
  +binutils-2.15.92.0.2-r6.ebuild:
  Delete old/duplicated patches and add newer/spiffier ones. See the
  patchtarball and/or CVS commits for more info :P. Just be happy this one
  passes make check on amd64.

  09 Mar 2005; <solar@gentoo.org> binutils-2.15.92.0.2-r5.ebuild:
  - uClibc supports relro now. remove exception from ebuild

*binutils-2.15.92.0.2-r5 (08 Mar 2005)

  08 Mar 2005; Mike Frysinger <vapier@gentoo.org>
  +binutils-2.15.92.0.2-r5.ebuild:
  Fix up gcc-4 support for real #82907 by richard juckes.

*binutils-2.15.92.0.2-r4 (23 Feb 2005)

  23 Feb 2005; Mike Frysinger <vapier@gentoo.org>
  -binutils-2.15.92.0.2-r3.ebuild, +binutils-2.15.92.0.2-r4.ebuild:
  Fix gcc-4 patch to not break gcc-3 #83047.

  23 Feb 2005; Jon Portnoy <avenj@gentoo.org> binutils-2.15.92.0.2-r3.ebuild :
  Reverted PATCHVER=1.4 to PATCHVER=1.3 due to bug
  #83047

*binutils-2.15.92.0.2-r3 (20 Feb 2005)

  20 Feb 2005; <solar@gentoo.org> +binutils-2.15.92.0.2-r3.ebuild:
  - bump the binutils-patches 1.2 -> 1.3. New option ld -z nonow/-Wl,-z,nonow

*binutils-2.15.94.0.2.2 (19 Feb 2005)

  19 Feb 2005; Mike Frysinger <vapier@gentoo.org>
  +binutils-2.15.94.0.2.2.ebuild:
  Version bump.

  23 Jan 2005; Jeremy Huddleston <eradicator@gentoo.org>
  binutils-2.15.92.0.2-r1.ebuild:
  Stable on amd64.

  22 Jan 2005; <plasmaroo@gentoo.org> binutils-2.15.92.0.2-r1.ebuild,
  binutils-2.15.92.0.2-r2.ebuild:
  Converting 2.1.95 ~IA64 KEYWORDS into -IA64 KEYWORDS as kernels as well as
  gnu-efi fail to compile with these versions...

  11 Jan 2005; Gustavo Zacarias <gustavoz@gentoo.org>
  binutils-2.15.92.0.2-r1.ebuild:
  Stable on sparc, it's about time

  03 Jan 2005; Ciaran McCreesh <ciaranm@gentoo.org> :
  Change encoding to UTF-8 for GLEP 31 compliance

*binutils-2.15.91.0.2-r1 (28 Dec 2004)

  28 Dec 2004; Mike Frysinger <vapier@gentoo.org>
  +binutils-2.15.91.0.2-r1.ebuild:
  New versions to support binutils-config.

*binutils-2.15.91.0.1-r1 (28 Dec 2004)

  28 Dec 2004; Mike Frysinger <vapier@gentoo.org>
  +binutils-2.15.91.0.1-r1.ebuild:
  New versions to support binutils-config.

*binutils-2.15.90.0.3-r4 (28 Dec 2004)

  28 Dec 2004; Mike Frysinger <vapier@gentoo.org>
  +binutils-2.15.90.0.3-r4.ebuild:
  New versions to support binutils-config.

  28 Dec 2004; Jeremy Huddleston <eradicator@gentoo.org>
  binutils-2.15.92.0.2-r2.ebuild:
  Added to ~sparc.

  26 Dec 2004; Jeremy Huddleston <eradicator@gentoo.org>
  binutils-2.15.92.0.2-r1.ebuild:
  Removing sparc64-multilib stuff as we're just using the superior
  binutils-config versions in that profile.

*binutils-2.15.94.0.2 (21 Dec 2004)

  21 Dec 2004; Mike Frysinger <vapier@gentoo.org>
  +binutils-2.15.94.0.2.ebuild:
  Version bump.

  13 Dec 2004; Jeremy Huddleston <eradicator@gentoo.org>
  binutils-2.15.92.0.2-r1.ebuild:
  Updated sparc64-multilib to use MULTILIB_CHOSTS example.

*binutils-2.14.90.0.8-r2 (12 Dec 2004)

  12 Dec 2004; Mike Frysinger <vapier@gentoo.org>
  +binutils-2.14.90.0.8-r2.ebuild:
  Use toolchain eclass.

  10 Dec 2004; Jeremy Huddleston <eradicator@gentoo.org>
  binutils-2.15.92.0.2-r1.ebuild:
  Updated for sparc64-multilib.

*binutils-2.15.90.0.1.1-r4 (04 Dec 2004)

  04 Dec 2004; Mike Frysinger <vapier@gentoo.org>
  +binutils-2.15.90.0.1.1-r4.ebuild:
  Version bump for toolchain-binutils support.

*binutils-2.14.90.0.6-r8 (02 Dec 2004)

  02 Dec 2004; Mike Frysinger <vapier@gentoo.org>
  +binutils-2.14.90.0.6-r8.ebuild:
  Use toolchain eclass.

  30 Nov 2004; Guy Martin <gmsoft@gentoo.org> binutils-2.15.92.0.2-r1.ebuild:
  Stable on hppa. Fix problems with libxml2 and others.

  24 Nov 2004; Gustavo Zacarias <gustavoz@gentoo.org>
  binutils-2.15.92.0.2-r1.ebuild:
  Keyworded ~sparc

*binutils-2.15.94.0.1 (23 Nov 2004)

  23 Nov 2004; Mike Frysinger <vapier@gentoo.org>
  +binutils-2.15.94.0.1.ebuild:
  Version bump.

  21 Nov 2004; Mike Frysinger <vapier@gentoo.org>
  binutils-2.15.90.0.1.1-r3.ebuild:
  Move to x86 stable finally.

  21 Nov 2004; Mike Frysinger <vapier@gentoo.org>
  binutils-2.15.90.0.1.1-r3.ebuild:
  Move to x86 stable finally.

*binutils-2.15.92.0.2-r2 (20 Oct 2004)

  20 Oct 2004; Mike Frysinger <vapier@gentoo.org>
  +binutils-2.15.92.0.2-r2.ebuild:
  Clean up ebuild. Try to handle $CTARGET/$CHOST correctly. Use symlinks
  instead of hard links in src_install().

  18 Oct 2004; Guy Martin <gmsoft@gentoo.org> binutils-2.15.92.0.2-r1.ebuild:
  Added ~hppa.

*binutils-2.15.92.0.2-r1 (11 Oct 2004)

  11 Oct 2004; Travis Tilley <lv@gentoo.org> +binutils-2.15.92.0.2-r1.ebuild:
  removed a few unused patches from the tarball. removed an old ppc -fPIC patch
  that was causing the compile to fail, closes bug 66738. updated a few patches
  borrowed from fedora to their latest versions, closes bug 66871. updated pax
  patch to the latest version available on pax.grsecurity.net, version
  2.15.91.0.2-200410091215

  06 Oct 2004; Travis Tilley <lv@gentoo.org> binutils-2.15.92.0.2.ebuild:
  added ~x86 keyword, as requested in bug 66555

  03 Oct 2004; Travis Tilley <lv@gentoo.org> binutils-2.15.92.0.2.ebuild:
  added ~amd64 keyword. among other things, this release fixes an x86-64 linker
  warning while building the Linux kernel.

*binutils-2.15.92.0.2 (01 Oct 2004)

  01 Oct 2004; Joshua Kinard <kumba@gentoo.org> +binutils-2.15.92.0.2.ebuild:
  Version bump.

  01 Oct 2004; Joshua Kinard <kumba@gentoo.org> binutils-2.15.91.0.2.ebuild:
  Added ~sparc to KEYWORDS.

  01 Oct 2004; Joshua Kinard <kumba@gentoo.org> binutils-2.15.91.0.2.ebuild:
  Marked ~mips. Works great for o32, n32 has problems, and is thus masked in
  cascade profiles.

  28 Sep 2004; Mike Frysinger <vapier@gentoo.org>
  +files/2.15/40_all_binutils-uclibc-linker.patch,
  binutils-2.15.90.0.1.1-r1.ebuild, binutils-2.15.90.0.1.1-r3.ebuild:
  Add a patch to fix uclibc linking/ld.so.con.

  08 Sep 2004; Mike Frysinger <vapier@gentoo.org>
  binutils-2.14.90.0.8-r1.ebuild, -binutils-2.14.90.0.8-r2.ebuild:
  Merge the changes from -r2 back into -r1 since it was just uclibc specific.

  06 Sep 2004; <solar@gentoo.org>
  +files/2.15/binutils-2.15-elf32-arm-textrel.patch,
  binutils-2.15.90.0.1.1-r3.ebuild:
  added patch from RH which allows ARCH=arm to compile & link correctly with
  binutils-2.15

  06 Sep 2004; Luca Barbato <lu_zero@gentoo.org>
  binutils-2.15.90.0.3-r3.ebuild:
  Marked ppc

  02 Sep 2004; Mike Frysinger <vapier@gentoo.org>
  binutils-2.14.90.0.8-r1.ebuild, binutils-2.14.90.0.8-r2.ebuild,
  binutils-2.15.90.0.3-r3.ebuild:
  Versions 2.15 <= x <= 2.15.91.0.2 are known to produce bad code for arm under
  certain circumstances.

  01 Sep 2004; <solar@gentoo.org> binutils-2.15.90.0.1.1-r1.ebuild,
  binutils-2.15.90.0.1.1-r3.ebuild:
  marking binutils-2.15.91.0.1 ~x86 again

  31 Aug 2004; Gustavo Zacarias <gustavoz@gentoo.org>
  binutils-2.14.90.0.8-r1.ebuild:
  Stable on sparc

  26 Aug 2004; Rob Holland <tigger@gentoo.org> binutils-2.14.90.0.8-r2.ebuild,
  binutils-2.15.91.0.1-r2.ebuild, binutils-2.15.91.0.2.ebuild:
  gnuconfig_update belongs in src_unpack, not src_compile

  11 Aug 2004; Travis Tilley <lv@gentoo.org> binutils-2.15.91.0.2.ebuild:
  masking this release -amd64. most software builds fine, but on mozilla firefox
  and occasionally glibc this release will segfault

  09 Aug 2004; Travis Tilley <lv@gentoo.org> binutils-2.15.91.0.2.ebuild:
  adding ~amd64 keyword for testing

*binutils-2.15.91.0.2 (02 Aug 2004)

  02 Aug 2004; Joshua Kinard <kumba@gentoo.org> +binutils-2.15.91.0.2.ebuild:
  New revision of binutils.  Doesn't include 51* or 52* uclibc patches.

  27 Jul 2004; Mike Frysinger <vapier@gentoo.org>
  +files/2.14/binutils-2.14.90.0.6-build_modules.patch,
  +files/2.14/binutils-2.14.90.0.6-cflags.patch,
  +files/2.14/binutils-2.14.90.0.6-conf.patch,
  +files/2.14/binutils-2.14.90.0.6-debian.patch,
  binutils-2.14.90.0.6-r7.ebuild:
  Add patches from uClibc build root.

  24 Jul 2004; Travis Tilley <lv@gentoo.org> binutils-2.15.91.0.1-r1.ebuild:
  removing ~amd64 keyword

  22 Jul 2004; <solar@gentoo.org> binutils-2.14.90.0.8-r2.ebuild:
  uclibc update

  08 Jul 2004; Travis Tilley <lv@gentoo.org> binutils-2.15.91.0.1-r1.ebuild:
  adding ~amd64 keyword for wider testing

  08 Jul 2004; Alexander Gabert <pappy@gentoo.org>
  binutils-2.14.90.0.8-r2.ebuild:
  added filter-flags for freduce-all-givs (bug id 27456)

  03 Jul 2004; Bryan Østergaard <kloeri@gentoo.org>
  binutils-2.14.90.0.8-r1.ebuild:
  Stable on alpha.

  02 Jul 2004; Jeremy Huddleston <eradicator@gentoo.org>
  binutils-2.11.92.0.12.3-r2.ebuild, binutils-2.11.92.0.7.ebuild,
  binutils-2.12.90.0.15.ebuild, binutils-2.13.90.0.16-r1.ebuild,
  binutils-2.13.90.0.18-r1.ebuild, binutils-2.13.90.0.18.ebuild,
  binutils-2.14.90.0.2.ebuild, binutils-2.14.90.0.4.1-r1.ebuild,
  binutils-2.14.90.0.5-r1.ebuild, binutils-2.14.90.0.6-r2.ebuild,
  binutils-2.14.90.0.6-r3.ebuild, binutils-2.14.90.0.6-r6.ebuild,
  binutils-2.14.90.0.6-r7.ebuild, binutils-2.14.90.0.7-r4.ebuild,
  binutils-2.14.90.0.7.ebuild, binutils-2.14.90.0.8-r1.ebuild,
  binutils-2.14.90.0.8-r2.ebuild, binutils-2.14.90.0.8.ebuild,
  binutils-2.15.90.0.1.1-r1.ebuild, binutils-2.15.90.0.1.1-r3.ebuild,
  binutils-2.15.90.0.3-r3.ebuild, binutils-2.15.91.0.1-r1.ebuild,
  binutils-2.15.91.0.1-r2.ebuild, binutils-2.15.91.0.1.ebuild:
  virtual/glibc -> virtual/libc

  27 Jun 2004; <solar@gentoo.org> binutils-2.15.91.0.1-r2.ebuild:
  remove unused patches from tarball an no_rel_ro patches

  23 Jun 2004; Aron Griffis <agriffis@gentoo.org>
  binutils-2.11.92.0.12.3-r2.ebuild, binutils-2.11.92.0.7.ebuild,
  binutils-2.12.90.0.15.ebuild, binutils-2.13.90.0.16-r1.ebuild,
  binutils-2.13.90.0.18-r1.ebuild, binutils-2.13.90.0.18.ebuild,
  binutils-2.14.90.0.2.ebuild, binutils-2.14.90.0.4.1-r1.ebuild,
  binutils-2.14.90.0.5-r1.ebuild, binutils-2.14.90.0.6-r2.ebuild,
  binutils-2.14.90.0.6-r3.ebuild, binutils-2.14.90.0.6-r6.ebuild,
  binutils-2.14.90.0.6-r7.ebuild, binutils-2.14.90.0.7-r4.ebuild,
  binutils-2.14.90.0.7.ebuild, binutils-2.14.90.0.8-r1.ebuild,
  binutils-2.14.90.0.8.ebuild:
  QA - fix use invocation

  20 Jun 2004; Daniel Black <dragonheart@gentoo.org>
  binutils-2.14.90.0.8-r2.ebuild, binutils-2.15.91.0.1-r2.ebuild:
  Fix unpacks for bugs #54316 and #54059. Added sample test routine to
  binutils-2.15.91.0.1-r2

  15 Jun 2004; Travis Tilley <lv@gentoo.org> binutils-2.14.90.0.8-r2.ebuild:
  changed the ebuild to not have "use uclibc ... || die", but it still doesnt
  patch cleanly so it is still masked

  15 Jun 2004; Travis Tilley <lv@gentoo.org> binutils-2.14.90.0.8-r2.ebuild:
  masking -* due to bug 54059

*binutils-2.15.91.0.1-r2 (16 Jun 2004)

  16 Jun 2004; Daniel Black <dragonheart@gentoo.org>
  +binutils-2.14.90.0.8-r2.ebuild, +binutils-2.15.91.0.1-r2.ebuild:
  uclibc fixes thanks to Peter S. Mazinger <ps.m@gmx.net>

  13 Jun 2004; Luca Barbato <lu_zero@gentoo.org>
  binutils-2.15.90.0.3-r3.ebuild:
  Fixes a problem with kdeutils not linking

  08 Jun 2004; Mike Frysinger <vapier@gentoo.org>
  binutils-2.15.91.0.1-r1.ebuild:
  This version breaks pretty bad on ppc/altivec ... cant build kernel/gcc/etc...
  :(

  05 Jun 2004; Ilya A. Volynets-Evenbach <iluxa@gentoo.org>
  binutils-2.14.90.0.8-r1.ebuild:
  Mark binutils-2.14.90.0.8-r1 ~mips

*binutils-2.15.91.0.1-r1 (04 Jun 2004)

  04 Jun 2004; Travis Tilley <lv@gentoo.org> +files/libiberty-pic.patch,
  +binutils-2.15.91.0.1-r1.ebuild:
  new ebuild with patch updates from Peter Mazinger

  03 Jun 2004; Tom Gall <tgall@gentoo.org> binutils-2.15.90.0.3-r3.ebuild,
  	binutils-2.15.91.0.1.ebuild:
  binutils-2.15.90.0.3-r3.ebuild stable on ppc64, binutils-2.15.91.0.1.ebuild
  ~ppc64 

  02 Jun 2004; Travis Tilley <lv@gentoo.org> binutils-2.15.90.0.1.1-r3.ebuild:
  stable on amd64

*binutils-2.15.91.0.1 (28 May 2004)

  28 May 2004; Joshua Kinard <kumba@gentoo.org>
  binutils-2.15.90.0.3-r3.ebuild, +binutils-2.15.91.0.1.ebuild:
  New revision, keyword masked for now, needs testing.

  26 May 2004; Luca Barbato <lu_zero@gentoo.org>
  binutils-2.15.90.0.1.1-r3.ebuild, binutils-2.15.90.0.3-r3.ebuild:
  Marked ~ppc

*binutils-2.15.90.0.1.1-r3 (23 May 2004)

  23 May 2004; Travis Tilley <lv@gentoo.org>
  -binutils-2.15.90.0.1.1-r2.ebuild, +binutils-2.15.90.0.1.1-r3.ebuild:
  make patchset apply all patches on all archs and re-added hppa keyword since
  the relro backport should apply cleanly now

  16 May 2004; <solar@gentoo.org> binutils-2.14.90.0.8-r1.ebuild,
  binutils-2.15.90.0.1.1-r1.ebuild, binutils-2.15.90.0.1.1-r2.ebuild,
  binutils-2.15.90.0.1.1.ebuild, binutils-2.15.90.0.3-r3.ebuild:
  added gprof/bbconv.pl install phase of >=binutils-2.14.90.0.8-r1, added
  multitarget USE flag for canadian cross compiling bug #49934 also
  >=binutils-2.14.90.0.8-r1. marked 2.14.90.0.8-r1 stable on x86

  13 May 2004; <solar@gentoo.org> binutils-2.15.90.0.3-r3.ebuild:
  bbconv.pl script is needed to convert profiling information in bb.out files to
  format understood by gprof. reported by pasi valminen bug 50911

*binutils-2.15.90.0.3-r3 (11 May 2004)

  11 May 2004; <solar@gentoo.org> binutils-2.15.90.0.3-r2.ebuild,
  binutils-2.15.90.0.3-r3.ebuild:
  updated patches to match upstream fixes. Includes fix s390{,x} .{,b,p2}align
  handling, ppc/ppc64 testsuite fixes. -z relro ppc/ppc64/ia64 fixes, change
  x86-64 .plt symbol st_size handling to match ia32, prettify objdump -d output,
  several SPARC fixes. Submitted by Peter S. Mazinger

*binutils-2.15.90.0.3-r2 (10 May 2004)

  10 May 2004; <solar@gentoo.org> binutils-2.15.90.0.3-r1.ebuild,
  binutils-2.15.90.0.3-r2.ebuild:
  Fix .tbss handling

  08 May 2004; Joshua Kinard <kumba@gentoo.org>
  binutils-2.14.90.0.8-r1.ebuild:
  Originally masked because these binutils would produce non-booting kernels on
  mips. That problem has been resolved in the kernel sources now, so it's safe
  to put these into unstable (2.15 needs more testing).

*binutils-2.15.90.0.1.1-r2 (10 May 2004)

  10 May 2004; Travis Tilley <lv@gentoo.org>
  +binutils-2.15.90.0.1.1-r2.ebuild:
  added backports of the tbss fix and relro patch

*binutils-2.15.90.0.1.1-r1 (04 May 2004)

  04 May 2004; Travis Tilley <lv@gentoo.org>
  +binutils-2.15.90.0.1.1-r1.ebuild:
  added a more amd64-friendly revision of 2.15.90.0.1.1. besides the patches
  included in the previous ebuild, the following have been added:
  34_all_binutils-2.15.90.0.3-place-orphan.patch,
  70_amd64_binutils_x86_64_testsuite.patch,
  71_ppc_binutils-2.13-ppc32-fPIC.patch, 72_all_fde-alignment.patch,
  73_amd64_x86-64-gotpcrel.patch, 74_all_gcc34-no-unit-at-a-time.patch,
  75_amd64_sysenter-sysexit-are-valid-IA32e-assembly.patch,
  76_all_use-new-ld-dtags.patch, 77_x86_via-padlock-gas.patch, and
  78_x86_via-padlock-tests.patch. this ebuild /should/ work with gcc 3.4 more
  consistantly than the previous one.

  24 Apr 2004; Travis Tilley <lv@gentoo.org> binutils-2.14.90.0.7-r1.ebuild,
  binutils-2.14.90.0.7-r2.ebuild, binutils-2.14.90.0.7-r3.ebuild,
  binutils-2.14.90.0.7-r4.ebuild, binutils-2.14.90.0.7.ebuild,
  binutils-2.14.90.0.8-r1.ebuild, binutils-2.14.90.0.8.ebuild,
  binutils-2.15.90.0.1.1.ebuild, binutils-2.15.90.0.3-r1.ebuild,
  binutils-2.15.90.0.3.ebuild:
  GCC 3.4 breaks binutils if CFLAGS arent conservative. Adding fix for bug #47581

  23 Apr 2004; Travis Tilley <lv@gentoo.org> binutils-2.15.90.0.1.1.ebuild:
  added ~amd64 keyword for testing

*binutils-2.15.90.0.3-r1 (19 Apr 2004)

  19 Apr 2004; <solar@gentoo.org> binutils-2.15.90.0.3-r1.ebuild:
  - the patches 03,04,07 were replaced w/ the redhat ones - the patch 01 was
  moved to apply after the uclibc patches (59) - the 20 patch got a replacement
  64 for the case relro is used (default in ebuild) - the 90 patch (pt_pax) has
  also a replacement as 63 to apply after relro - the patches 3x_ are from
  redhat having the same patch number 3x coresponds in redhat to x, (unmodified
  patches) - the patches 5x_ are uclibc related coming from buildroot (51 and 52
  are ports of the buildroot versions to this binutils, 51 is generic, only 52
  is uclibc specific), the 59 patch is really the 01 one, but the 52 patch is so
  big, that I didn't want to patch it again, it applies correctly in the reverse
  order - the patches 6x_ are from me: 61_ I had a situation on cross-compiling
  where I needed it 62_ is an uclibc addon (missing configure stuff to recognize
  uclibc) 63_ pt_pax patch to apply after relro 64_ is a 20_ patch replacement
  for amd64.
  I have left in all the patches, so that some can build w/ and w/o relro. The
  ebuild offers this possibility, see comment inside.
  The uclibc stuff shouldn't disturb normal functionality, mainly the configure
  stuff is enabled to recognize uclibc systems. Peter S. Mazinger <ps.m@gmx.net>

*binutils-2.15.90.0.3 (15 Apr 2004)

  15 Apr 2004; Joshua Kinard <kumba@gentoo.org> binutils-2.12.90.0.15.ebuild,
  binutils-2.13.90.0.16-r1.ebuild, binutils-2.13.90.0.18-r1.ebuild,
  binutils-2.13.90.0.18.ebuild, binutils-2.14.90.0.2.ebuild,
  binutils-2.14.90.0.4.1-r1.ebuild, binutils-2.14.90.0.5-r1.ebuild,
  binutils-2.14.90.0.6-r2.ebuild, binutils-2.14.90.0.6-r3.ebuild,
  binutils-2.14.90.0.6-r6.ebuild, binutils-2.14.90.0.6-r7.ebuild,
  binutils-2.15.90.0.3.ebuild:
  New ebuild for binutils-2.15.90.0.3, and removed portage from DEPEND in older
  ebuilds as it caused repoman troubles.

  14 Mar 2004; Joshua Kinard <kumba@gentoo.org> :
  Added a patch to the patchball for mips that reverses a patch added in
  Dec-2003 that seemingly makes unbootable kernels. The issue needs to be
  investigated further to make sure that this doesn't not affect 2.6 kernels as
  well (tested with 2.4 kernels for now).

*binutils-2.15.90.0.1.1 (06 Mar 2004)

  06 Mar 2004; Joshua Kinard <kumba@gentoo.org> binutils-2.15.90.0.1.1.ebuild,
  binutils-2.15.90.0.1.ebuild:
  New minor revision that fixes the as.1 manpage issue and an ia64 linker bug.

*binutils-2.15.90.0.1 (04 Mar 2004)

  04 Mar 2004; Joshua Kinard <kumba@gentoo.org> binutils-2.15.90.0.1.ebuild:
  New Version + fix for generating as.1 manpage. Keyword masked on all archs,
  test and keyword as necessary.

  21 Feb 2004; Brad House <brad_mssw@gentoo.org>
  binutils-2.14.90.0.8-r1.ebuild:
  stable on amd64 for 2004.0 release

  17 Feb 2004; Martin Schlemmer <azarah@gentoo.org>
  binutils-2.14.90.0.8-r1.ebuild:
  Move to unstable to give the PAX_FLAGS stuff a test run.

  10 Feb 2004; Joshua Kinard <kumba@gentoo.org> binutils-2.14.90.0.8.ebuild:
  Masked on mips because this version of binutils won't produce bootable kernel
  images. could be a missing patch or such.

*binutils-2.14.90.0.8-r1 (27 Jan 2004)

  27 Jan 2004; <solar@gentoo.org> binutils-2.14.90.0.8-r1.ebuild:
  Added support for new PT_PAX_FLAGS markings for program headers.

  19 Jan 2004; <agriffis@gentoo.org> binutils-2.14.90.0.7-r4.ebuild:
  stable on alpha and ia64 for bug 37033

*binutils-2.14.90.0.8 (18 Jan 2004)

  18 Jan 2004; Martin Schlemmer <azarah@gentoo.org>
  binutils-2.14.90.0.8.ebuild:
  Update version.  Move patches to tarball.  Many thanks to
  Kumba <kumba@gentoo.org> for updating the pni (prescott support) patch
  and the mips-brswap patch.

*binutils-2.14.90.0.7-r4 (18 Jan 2004)

  18 Jan 2004; Martin Schlemmer <azarah@gentoo.org>
  binutils-2.14.90.0.7-r4.ebuild,
  files/2.14/binutils-2.14.90.0.7-bfd-pt-gnu-segment-fix.patch:
  Do not add sections to a PT_GNU_STACK segment, which might be
  a possible security issue, bug #37033.
  
    http://sources.redhat.com/ml/binutils/2003-12/msg00205.html

  Also bump x86 to stable, and do not drop already stable archs from
  -r3 to testing, as it is a crusial patch.

  07 Jan 2004; Jason Wever <weeve@gentoo.org> binutils-2.14.90.0.7-r3.ebuild:
  Marked stable on sparc.

  30 Dec 2003; Sven Blumenstein <bazik@gentoo.org>
  binutils-2.11.92.0.12.3-r2.ebuild, binutils-2.11.92.0.7.ebuild,
  binutils-2.14.90.0.6-r6.ebuild:
  Marked stable on sparc.

  28 Dec 2003; Joshua Kinard <kumba@gentoo.org>
  binutils-2.14.90.0.7-r3.ebuild:
  Move to mips stable (~mips -> mips)

  29 Nov 2003; Brad House <brad_mssw@gentoo.org>
  binutils-2.14.90.0.7-r3.ebuild:
  mark stable on amd64

*binutils-2.14.90.0.7-r3 (09 Nov 2003)

  08 Dec 2003; Guy Martin <gmsoft@gentoo.org> binutils-2.14.90.0.7-r3.ebuild:
  Marked stable on hppa.

  09 Nov 2003; Martin Schlemmer <azarah@gentoo.org>
  binutils-2.14.90.0.2.ebuild, binutils-2.14.90.0.4.1-r1.ebuild,
  binutils-2.14.90.0.6-r7.ebuild, binutils-2.14.90.0.7-r1.ebuild,
  binutils-2.14.90.0.7-r2.ebuild, binutils-2.14.90.0.7-r3.ebuild,
  binutils-2.14.90.0.7.ebuild:
  Fix sparc64/mips64 symlinks to point to /usr/sparc-*/bin/*. Do not apply
  -ppc-reloc.patch to sparc as ld quits with SIGBUS.

  08 Nov 2003; Jason Wever <weeve@gentoo.org> binutils-2.14.90.0.7-r2.ebuild:
  Masked on sparc until ld issue is fixed.

*binutils-2.14.90.0.7-r2 (08 Nov 2003)

  08 Nov 2003; Martin Schlemmer <azarah@gentoo.org>
  binutils-2.14.90.0.7-r2.ebuild,
  files/2.14/binutils-2.14.90.0.7-ppc-reloc.patch,
  files/2.14/binutils-2.14.90.0.7-tls-section-alignment.patch:
  Cleanup -ppc-reloc.patch (had cruft like .orig in) and apply for all, as it
  fixes dynamic relocs for more archs than ppc.
  Add -tls-section-alignment.patch and put into testing for all.

*binutils-2.14.90.0.7-r1 (07 Nov 2003)

  07 Nov 2003; Luca Barbato <lu_zero@gentoo.org> 
  binutils-2.14.90.0.7-r1.ebuild, 
  files/2.14/binutils-2.14.90.0.7-ppc-reloc.patch:
  Fix to bug #32755

  05 Nov 2003; Luca Barbato <lu_zero@gentoo.org> binutils-2.14.90.0.7.ebuild:
  Maked -ppc :seems to have too many issues

  04 Nov 2003; Brad House <brad_mssw@gentoo.org>
  binutils-2.14.90.0.6-r7.ebuild:
  mark as stable on amd64

  04 Nov 2003; Martin Schlemmer <azarah@gentoo.org>
  binutils-2.14.90.0.2.ebuild, binutils-2.14.90.0.4.1-r1.ebuild,
  binutils-2.14.90.0.6-r7.ebuild, binutils-2.14.90.0.7.ebuild:
  Enable building of 64bit apps on Sparc and Mips, closing bug #24631.
  Fix is an modified one from Jason Wever <weeve@gentoo.org>.

*binutils-2.14.90.0.7 (01 Nov 2003)

  08 Nov 2003; Guy Martin <gmsoft@gentoo.org> binutils-2.14.90.0.7.ebuild,
  binutils-2.14.90.0.7-r1.ebuild : Marked -hppa as it can't even compile glibc.

  01 Nov 2003; Martin Schlemmer <azarah@gentoo.org>
  binutils-2.14.90.0.7.ebuild:
  Update version.

*binutils-2.14.90.0.6-r7 (26 Oct 2003)

  26 Oct 2003; Martin Schlemmer <azarah@gentoo.org>
  binutils-2.14.90.0.6-r7.ebuild,
  files/2.14/binutils-2.14.90.0.6-bfd-elf-interp-4.patch:
  Add the official binutils-2.14.90.0.6-bfd-elf-interp.patch patch.

  26 Oct 2003; Martin Schlemmer <azarah@gentoo.org>
  binutils-2.14.90.0.6-r6.ebuild:
  Bump ppc to stable, as the .interp fix in -r5 is wrong. Bump x86, amd64 and
  ia64 to stable.

  22 Oct 2003; Aron Griffis <agriffis@gentoo.org>
  binutils-2.14.90.0.6-r6.ebuild:
  Stable on alpha

  22 Oct 2003; Bartosch Pixa <darkspecter@gentoo.org>
  binutils-2.14.90.0.6-r5.ebuild:
  set ppc in keywords

*binutils-2.14.90.0.6-r6 (07 Oct 2003)

  07 Oct 2003; Martin Schlemmer <azarah@gentoo.org>
  binutils-2.14.90.0.6-r6.ebuild,
  files/2.14/binutils-2.14.90.0.6-bfd-elf-interp-3.patch:
  Add correct patch to fix attributes on .interp section, thanks to feedback
  from pipcas <pageexec@freemail.hu> and Ned Ludd <solar@gentoo.org>.

*binutils-2.14.90.0.6-r5 (05 Oct 2003)

  05 Oct 2003; Martin Schlemmer <azarah@gentoo.org>
  binutils-2.14.90.0.6-r5.ebuild,
  files/2.14/binutils-2.14.90.0.6-ppc-bfd.patch:
  Add ppc-bfd.patch to fix ppc issues, bug #28011. Remove bfd-elf-interp.patch,
  as it breaks section attibutes as in
  http://gcc.gnu.org/ml/gcc/2003-10/msg00141.html.

*binutils-2.14.90.0.6-r4 (05 Oct 2003)

  05 Oct 2003; Martin Schlemmer <azarah@gentoo.org>
  binutils-2.14.90.0.6-r4.ebuild,
  files/2.14/binutils-2.14.90.0.6-eh-frame-ro-2.patch,
  files/2.14/binutils-2.14.90.0.6-ia64-howto.patch,
  files/2.14/binutils-2.14.90.0.6-ia64-sdata.patch,
  files/2.14/binutils-2.14.90.0.6-ia64-speedup.patch,
  files/2.14/binutils-2.14.90.0.6-merge-speedup.patch,
  files/2.14/binutils-2.14.90.0.6-sparc-cfi.patch:
  Update eh-frame-ro patch - seems as if I might have missed a needed change or
  two. Also update merge patch, as well as add some ia64 and sparc patches.

  03 Oct 2003; Brad House <brad_mssw@gentoo.org>
  binutils-2.14.90.0.6-r3.ebuild,
  files/binutils-2.14.amd64-32bit-path-fix.patch:
  32bit search path for amd64 was /lib and /usr/lib. That is obviously wrong.
  Make the search path /lib32 and /usr/lib32 instead, which should be symlinks
  to the real location of your 32bit install. This patch is amd64 ONLY

*binutils-2.14.90.0.6-r3 (13 Sep 2003)

  20 Sep 2003; Alexander Gabert <pappy@gentoo.org>
  binutils-2.14.90.0.6-r3.ebuild:
  added hppa static fpic bugfix by tausq

  20 Sep 2003; <solar@gentoo.org> binutils-2.14.90.0.6-r3.ebuild,
  files/2.14/binutils-2.14.90.0.6-bfd-elf-interp.patch:
  A change that defines expected section attributes for a select set of
  hardcoded section names was incorrectly added to binutils by redhat. This fix
  is for bfd/elf.c for the .interp entry which should have SHF_ALLOC instead of 0

  17 Sep 2003; Jon Portnoy <avenj@gentoo.org> binutils-2.14.90.0.6-r3.ebuild :
  ia64 keywords.

  13 Sep 2003; Martin Schlemmer <azarah@gentoo.org>
  binutils-2.14.90.0.6-r3.ebuild,
  files/2.14/binutils-2.14.90.0.6-cxx-speedup.patch:
  Add patch that speedup C++ linking. Originally submitted by
  <holger-gentoo@holgis.net> (got from Nove Hrady KDE hackfest), updated to
  latest binutls by Chris Lee <clee@kde.org>, bug #27540.

*binutils-2.14.90.0.6-r2 (01 Sep 2003)

  21 Sep 2003; Joshua Kinard <kumba@gentoo.org> binutils-2.14.90.0.6-r2.ebuild:
  Changed ~mips to mips in KEYWORDS

  03 Sep 2003; Stefan Jones <cretin@gentoo.org> 
  binutils-2.14.90.0.6-r2.ebuild :
  Move to stable for x86, to fix bug #27440

  01 Sep 2003; Martin Schlemmer <azarah@gentoo.org>
  binutils-2.14.90.0.2.ebuild, binutils-2.14.90.0.4.1-r1.ebuild,
  binutils-2.14.90.0.5-r1.ebuild, binutils-2.14.90.0.6-r2.ebuild,
  files/2.14/binutils-2.14.90.0.6-dont-crash-on-null-owner.patch:
  There is a bug in binutils 2.14.* which causes a segfault in certain
  circumstances when linking. This bug does not exist in binutils 2.11.*.
                                                                                                                            
  More details on the bug can be found here:
    http://sources.redhat.com/ml/bug-binutils/2003-q3/msg00559.html
    http://sources.redhat.com/ml/bug-binutils/2003-q3/msg00735.html
                                                                                                                            
  Bug #27492, thanks to Adam Chodorowski <adam@chodorowski.com> for reporting.

*binutils-2.14.90.0.6-r1 (26 Aug 2003)

  26 Aug 2003; Martin Schlemmer <azarah@gentoo.org>
  binutils-2.14.90.0.6-r1.ebuild:
  Remove the place-orphan.patch patch, as it causes failures in sash and
  util-linux-2.12 (bug #27330)

*binutils-2.14.90.0.6 (24 Aug 2003)

  24 Aug 2003; Martin Schlemmer <azarah@gentoo.org>
  binutils-2.14.90.0.6.ebuild,
  files/2.14/binutils-2.14.90.0.5-place-orphan.patch,
  files/2.14/binutils-2.14.90.0.6-eh-frame-ro.patch:
  Update version.

  20 Aug 2003; Luca Barbato <lu_zero@gentoo.org> binutils-2.14.90.0.5-r1.ebuild:
  Marked ~ppc

*binutils-2.14.90.0.5-r1 (10 Aug 2003)

  10 Aug 2003; Joshua Kinard <kumba@gentoo.org> binutils-2.14.90.0.5-r1.ebuild:
  Moved binutils-2.14.90.0.5-r1 to mips unstable, since latest CVS this comes
  from includes major mips updates.  And to test it in Stager.
  Also moved it to sparc unstable for testing.


*binutils-2.14.90.0.5 (23 Jul 2003)

  23 Jul 2003; Joshua Kinard <kumba@gentoo.org> binutils-2.14.90.0.5.ebuild:
  Changed "mips" to "-mips" in KEYWORDS until further testing can be done.

  23 Jul 2003; Martin Schlemmer <azarah@gentoo.org>
  binutils-2.14.90.0.5.ebuild:
  New release.

*binutils-2.14.90.0.4.1-r1 (28 Jun 2003)

  12 Jul 2003; Joshua Kinard <kumba@gentoo.org> binutils-2.14.90.0.4.1-r1.ebuild:
  Changed -mips to ~mips in KEYWORDS. Experimentation seems to prove that
  binutils-2.14.90.0.2 has some issue triggered at random in which a compile
  errors out claiming "linking abicalls to non-abicalls". Some google searching
  indicates binutils-2.14.90.0.4 or greater fixes this issue.
  Has been tested in a mips stage1 rebuild and is currently used in building a 
  mipsel stage1 for Cobalt servers.

  28 Jun 2003; Martin Schlemmer <azarah@gentoo.org>
  binutils-2.14.90.0.4.1-r1.ebuild, files/2.14/binutils-2.14.90.0.4-cfi.patch,
  files/2.14/binutils-2.14.90.0.4-cfi2.patch,
  files/2.14/binutils-2.14.90.0.4-cfi3.patch,
  files/2.14/binutils-2.14.90.0.4-cfi4.patch,
  files/2.14/binutils-2.14.90.0.4-eh-frame-ro.patch,
  files/2.14/binutils-2.14.90.0.4-gas-execstack.patch,
  files/2.14/binutils-2.14.90.0.4-gas-pred.patch,
  files/2.14/binutils-2.14.90.0.4-ltconfig-multilib.patch,
  files/2.14/binutils-2.14.90.0.4-pie.patch,
  files/2.14/binutils-2.14.90.0.4-pie2.patch,
  files/2.14/binutils-2.14.90.0.4-pni.patch,
  files/2.14/binutils-2.14.90.0.4-ppc-bigplt.patch,
  files/2.14/binutils-2.14.90.0.4-ppc64-ctors.patch,
  files/2.14/binutils-2.14.90.0.4-ppc64-prelink.patch,
  files/2.14/binutils-2.14.90.0.4-pt-gnu-stack.patch,
  files/2.14/binutils-2.14.90.0.4-sparc-nonpic.patch:
  Add patches from Redhat.  Add fix for libtool borkage.

*binutils-2.14.90.0.4.1 (25 Jun 2003)

  25 Jun 2003; Martin Schlemmer <azarah@gentoo.org>
  binutils-2.11.92.0.12.3-r2.ebuild, binutils-2.13.90.0.20-r1.ebuild,
  binutils-2.14.90.0.2.ebuild, binutils-2.14.90.0.4.1.ebuild,
  binutils-2.14.90.0.4.ebuild:
  New version with some amd64 fixes. Also fix SRC_URI for some of the newer
  ebuilds.

  14 Jun 2003; Joshua Kinard <kmba@gentoo.org> binutils-2.14.90.0.2.ebuild:
  Changes ~mips to mips in KEYWORDS

  08 Jun 2003; Luca Barbato <lu_zero@gentoo.org>
  binutils-2.14.90.0.1-r1.ebuild, binutils-2.14.90.0.2.ebuild:
  marked stable on ppc.

*binutils-2.14.90.0.4 (26 May 2003)

  07 Jun 2003; Joshua Kinard <kumba@gentoo.org> binutils-2.14.90.0.4.ebuild:
  Changed ~mips to -mips.  This package should stay masked until dragon
  can release a fixed version that fixes the bad libbfd linkage.

  26 May 2003; Joshua Kinard <kumba@gentoo.org>
  binutils-2.14.90.0.4.ebuild:
  New Version.  Masked for all archs except unstable/testing on mips.

  26 May 2003; Joshua Kinard <kumba@gentoo.org>
  binutils-2.14.90.0.2.ebuild, binutils-2.14.90.0.4.ebuild:
  Added a patch for MIPS arch which fixes binutils so that it does not generate
  a broken dynamic relocation table for the OpenSSL libs. This happens because
  the global GOT entry count is too low. The bug itself was introduced in
  binutils CVS by the following patch:
  http://sources.redhat.com/cgi-bin/cvsweb.cgi/src/bfd/elfxx-mips.c.diff?r1=1.38
  &r2=1.39&cvsroot=src

  26 May 2003; Joshua Kinard <kumba@gentoo.org>
  binutils-2.14.90.0.2.ebuild, binutils-2.14.90.0.4.ebuild:
  Corrected a minor error in SRC_URI so that the
  package is found in the right location on the kernel.org website.

*binutils-2.11.92.0.7 (25 May 2003)

  25 May 2003; Martin Holzer <mholzer@gentoo.org>
  binutils-2.11.92.0.12.3-r2.ebuild, binutils-2.11.92.0.7.ebuild,
  binutils-2.12.90.0.15.ebuild, binutils-2.12.90.0.7.ebuild,
  binutils-2.13.90.0.16-r1.ebuild, binutils-2.13.90.0.18-r1.ebuild,
  binutils-2.13.90.0.18.ebuild, binutils-2.13.90.0.20-r1.ebuild,
  binutils-2.14.90.0.1-r1.ebuild, binutils-2.14.90.0.2.ebuild:
  now uses mirror://kernel

*binutils-2.14.90.0.2 (17 May 2003)

  16 Jul 2003; Jay Pfeifer <pfeifer@gentoo.org> binutils-2.14.90.0.2.ebuild:
  set stable on x86

  01 Jul 2003; Todd Sunderlin <todd@gentoo.org> binutils-2.14.90.0.2.ebuild:
  set stable on sparc

  17 May 2003; Martin Schlemmer <azarah@gentoo.org>
  binutils-2.14.90.0.2.ebuild:
  New version.

  17 May 2003; Martin Schlemmer <azarah@gentoo.org>
  binutils-2.13.90.0.10.ebuild, binutils-2.13.90.0.10.ebuild,
  binutils-2.13.90.0.14.ebuild, binutils-2.13.90.0.14.ebuild,
  binutils-2.13.90.0.16-r1.ebuild, binutils-2.13.90.0.16.ebuild,
  binutils-2.13.90.0.16.ebuild, binutils-2.13.90.0.18-r1.ebuild,
  binutils-2.13.90.0.18.ebuild, binutils-2.13.90.0.20-r1.ebuild,
  binutils-2.13.90.0.4.ebuild, binutils-2.13.90.0.4.ebuild,
  binutils-2.14.90.0.1-r1.ebuild, binutils-2.14.90.0.1.ebuild,
  binutils-2.14.90.0.1.ebuild :
  Add c++filt back in anticipation for gcc-3.3.  Cleanup.

*binutils-2.14.90.0.1-r1 (08 May 2003)

  09 May 2003; Joshua Kinard <kumba@gentoo.org>
  binutils-2.14.90.0.1-r1.ebuild:
  Changed -sparc to ~sparc.  Merges fine on sparc,
  but further testing to be done.  With mips, edited out the
  gas-mips-gprel from binutils-2.13.90.0.20, as this patch already
  appears to be included in 2.14.90.0.1 (emerge failed on attempting to
  patch it).  Mips testing is underway via "emerge system".

  08 May 2003; Nicholas Wourms <dragon@gentoo.org>
  binutils-2.14.90.0.1-r1.ebuild:
  Fix a small typo in the patch section.

  08 May 2003; Nicholas Wourms <dragon@gentoo.org>
  binutils-2.14.90.0.1-r1.ebuild,
  files/2.14/binutils-2.14.90.0.1-eh-frame-ro.patch,
  files/2.14/binutils-2.14.90.0.1-sparc-nonpic.patch:
  Added patch to resync with CVS head, bumped revision to reflect this. This
  version should resolve any outstanding testsuite & weak symbol issues.  I
  have also added the previous patches back into the ebuild, compiles and
  passes the testsuite on x86 w/o any regressions.

*binutils-2.14.90.0.1 (06 May 2003)

  06 May 2003; Luca Barbato <lu_zero@gentoo.org>
  binutils-2.14.90.0.1.ebuild:
  New version, seems to solve the ppc relocation issues.

*binutils-2.13.90.0.20-r1 (09 Apr 2003)

  09 Apr 2003; Nicholas Wourms <dragon@gentoo.org>
  binutils-2.13.90.0.20-r1.ebuild:
  Added cvs update patch to (hopefully) address the problems reported in
  bugs #16363, #17986, & #18873.  This also includes the fix from Alan
  Modra for the problem where ld would segfault when building kde on
  ppc.  In addition to that, it also has some more mips/mips64 updates
  which should address a few of the current problems we were experiencing
  initially.  As with the previous version, "Handle With Care..."  That
  being said, testing would be greatly appreciated and arches unmasked
  as they are confirmed stable.  I removed the previous ebuild since it
  has been causing lots of trouble.

  23 Mar 2003; Martin Schlemmer <azarah@gentoo.org> binutils-2.13.90.0.20.ebuild :
  Add '~x86' to KEYWORDS.

*binutils-2.13.90.0.20 (22 Mar 2003)

  22 Mar 2003; Nicholas Wourms <dragon@gentoo.org>
  binutils-2.13.90.0.20.ebuild,
  files/2.13/binutils-2.13.90.0.10-x86_64-gotpcrel.patch,
  files/2.13/binutils-2.13.90.0.18-testsuite-Wall-fixes.patch,
  files/2.13/binutils-2.13.90.0.20-array-sects-compat.patch,
  files/2.13/binutils-2.13.90.0.20-gas-mips-gprel.patch:
  Bump to new beta version.  This release contains a boatload of fixes for
  a wide variety of platforms.  It also fixes a critical bug in the previous
  version for the mips platform.  Due to the beta nature of this version and
  the proximity to a new gentoo release, I have set keywords to "-arch" for
  all platforms except mips.  However, it should be tested on these other
  platforms and keywords modified as necessary.

*binutils-2.13.90.0.18-r1 (08 Mar 2003)

  31 Mar 2003; Christian Birchinger <joker@gentoo.org>
  binutils-2.13.90.0.18-r1.ebuild:
  Commented out sparc-nonpic.patch and added ~sparc keyword

  27 Mar 2003; Seemant Kulleen <seemant@gentoo.org>
  binutils-2.13.90.0.18-r1.ebuild:
  masked for sparc, it breaks, dunno why. see bug #17193

  08 Mar 2003; Martin Schlemmer <azarah@gentoo.org> binutils-2.13.90.0.18-r1.ebuild :
  Update patches from Redhat.

  18 Feb 2003; Zach Welch <zwelch@gentoo.org> :
  Added arm to keywords.


*binutils-2.13.90.0.18 (26 Jan 2003)

  27 May 2003; Guy Martin <gmsoft@gentoo.org> binutils-2.13.90.0.18.ebuild:
  Remasking binutils 2.13.90.0.18 for hppa which cause random segfault on
  hppa1.1 stations.

  29 Mar 2003; Christian Birchinger <joker@gentoo.org>
  binutils-2.13.90.0.18.ebuild:
  Added sparc stable keyword

  01 Mar 2003; Brandon Low <lostlogic@gentoo.org>
  binutils-2.13.90.0.10.ebuild, binutils-2.13.90.0.14.ebuild,
  binutils-2.13.90.0.16-r1.ebuild, binutils-2.13.90.0.16.ebuild,
  binutils-2.13.90.0.18.ebuild, binutils-2.13.90.0.4.ebuild:
  Filter another flag that was causing problems

  26 Feb 2003; Zach Welch <zwelch@gentoo.org> binutils-2.13.90.0.18.ebuild :
  filter -O2 from ARM builds to prevent gcc ICE

  24 Feb 2003; Martin Schlemmer <azarah@gentoo.org> binutils-2.13.90.0.18.ebuild :
  Mark stable for x86.  Rip out static stuff as it anyhow do not work.

  22 Feb 2003; Guy Martin <gmsoft@gentoo.org> binutils-2.13.90.0.18.ebuild :
  Commited stable for hppa.

  21 Feb 2003; Aron Griffis <agriffis@gentoo.org> binutils-2.13.90.0.18.ebuild :
  Mark stable on alpha

  08 Feb 2003; Guy Martin <gmsoft@gentoo.org> binutils-2.13.90.0.18.ebuild :
  Added hppa to keywords.

  01 Feb 2003; Jon Nall <nall@gentoo.org> binutils-2.13.90.0.18.ebuild :
  made stable for ppc. this is to allow kde to compile happily and closes bug
  #14776

  29 Jan 2003; Nicholas Wourms <dragon@gentoo.org> binutils-2.13.90.0.18.ebuild :
  Fixed Jakub's eh-frame-ro patch to apply and compile cleanly against
  binutils-2.13.90.0.18.  Passed all tests locally on x86, but please test on 
  other platforms.

  26 Jan 2003; Martin Schlemmer <azarah@gentoo.org> binutils-2.13.90.0.18.ebuild :
  New version.  Some cleanups + patches.  This closes bug #14518.

*binutils-2.13.90.0.16-r1 (30 Dec 2002)

  08 Jan 2003; Martin Schlemmer <azarah@gentoo.org> binutils-2.13.90.0.16-r1.ebuild :
  Mark stable.

  19 Jan 2003; Jan Seidel <tuxus@gentoo.org> :
  Add patches for mips
  Added mips to keywords

  30 Dec 2002; Martin Schlemmer <azarah@gentoo.org> binutils-2.13.90.0.16-r1.ebuild :
  Update with patches from Redhat/Mandrake for various issues.

  13 Dec 2002; Mark Guertin <gerk@gentoo.org> binutils-2.13.90.0.16.ebuild :
  Marked stable for ppc.

  10 Dec 2002; Martin Schlemmer <azarah@gentoo.org> binutils-2.13.90.0.16.ebuild :
  Mark as stable for x86.

  06 Dec 2002; Rodney Rees <manson@gentoo.org>:
  Changed sparc ~sparc keywords
 
*binutils-2.13.90.0.16 (29 Nov 2002)

  07 Jan 2003: Jan Seidel <tuxus@gentoo.org> binutils-2.13.90.0.16.ebuild :
  Add patches for mips
  Added mips to keywords.

  29 Nov 2002; Nick Hadaway <raker@gentoo.org>
  binutils-2.13.90.0.16.ebuild, files/digest-binutils-2.13.90.0.16 :
  Version bump.  No changes in the ebuild.  Solves bug #11088

*binutils-2.13.90.0.14 (18 Nov 2002)

  18 Nov 2002; Stefan Jones <cretin@gentoo.org> :
  Version update, masked for testing.

*binutils-2.13.90.0.10 (14 Oct 2002)

  14 Oct 2002; Martin Schlemmer <azarah@gentoo.org> :

  Version update.  Remove sparc until further testing
  from Seemant.

*binutils-2.13.90.0.8 (10 Oct 2002)

  10 Oct 2002; Martin Schlemmer <azarah@gentoo.org> :

  New version.  PPC and SPARC elf linkage fixes.  More
  TLS support code added.

*binutils-2.13.90.0.4 (15 Aug 2002)

  15 Aug 2002; Martin Schlemmer <azarah@gentoo.org> :

  Update to latest version.

  1 Aug 2002; Martin Schlemmer <azarah@gentoo.org> :

  Updated DEPEND not to use if statements, but rather
  new syntax of portage-2.0.21 and up.

*binutils-2.12.90.0.15 (30 Jul 2002)

  30 Jul 2002; Mark Guertin <gerk@gentoo.org>:
  Added ppc to keywords

*binutils-2.12.90.0.14 (6 Jul 2002)

  6 Jul 2002; Martin Schlemmer <azarah@gentoo.org> :
  Version update.

*binutils-2.12.90.0.9 (10 Jun 2002)

  9 Jun 2002; Martin Schlemmer <azarah@gentoo.org> :
  Version update.

*binutils-2.12.90.0.7 (25 Apr 2002)

*binutils-2.12.90.0.4 (16 Apr 2002)

*binutils-2.12.90.0.3 (7 Apr 2002)

*binutils-2.12.90.0.1 (21 Mar 2002)

*binutils-2.11.92.0.12.3-r2 (12 Mar 2002)

  12 Mar 2002; Seemant Kulleen <seemant@gentoo.org> ChangeLog :

  Updated copyright year, and added USE dependent nls compilation.

*binutils-2.11.92.0.12.3-r1 (1 Feb 2002)

  1 Feb 2002; G.Bevin <gbevin@gentoo.org> ChangeLog :
  
  Added initial ChangeLog which should be updated whenever the package is
  updated in any way. This changelog is targetted to users. This means that the
  comments should well explained and written in clean English. The details about
  writing correct changelogs are explained in the skel.ChangeLog file which you
  can find in the root directory of the portage repository.
